<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

/*

Es la salida para item_list_priv de
		 var_catp.php

Se incluye dentro de
		while ($row = myfetch($q))
		if ($row = myfetch($q))

*/
				// contador de relacionados
				// Hay comentarios?
				$q_comen = myquery("SELECT * FROM ".COMENTARIOS." WHERE enabled=1 AND itemID='".$row["itemID"]."'","[inc_item_list_priv=1]");
				$cnt_comen = mynumrows($q_comen);

				// Hay imagenes?
				$q_img = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$row["itemID"]."' AND tipo=2","[inc_item_list_priv=2]");
				$cnt_img = mynumrows($q_img);

				// Hay multimedia?
				// videos
				$q_mt1 = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$row["itemID"]."' AND tipo=4","[inc_item_list_priv=3]");
				$cnt_mt1 = mynumrows($q_mt1);
				// sonidos
				$q_mt2 = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$row["itemID"]."' AND tipo=5","[inc_item_list_priv=4]");
				$cnt_mt2 = mynumrows($q_mt2);
				$cnt_mt = $cnt_mt1+$cnt_mt2;
				
				// Hay archivos?
				$q_arc = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$row["itemID"]."' AND tipo=3","[inc_item_list_priv=5]");
				$cnt_arc = mynumrows($q_arc);

				// Hay productos?
				$q_prd = myquery("SELECT * FROM ".RELACIONADOS." WHERE enabled=1 AND itemID='".$row["itemID"]."' AND tipo=6","[inc_item_list_priv=8]");
				$cnt_prd = mynumrows($q_prd);

				// Hay traducciones?
				$q_tradu = myquery("SELECT * FROM ".TRADUCCIONES." WHERE enabled=1 AND itemID='".$row["itemID"]."' ORDER BY orden DESC, tradID DESC","[inc_item_list_priv=6]");
				$cnt_tradu = mynumrows($q_tradu);
				$row["idioma_tradu"] = array();
				while ($row_tradu = myfetch($q_tradu))
				{
					$row["idioma_tradu"][] = $row_tradu["idioma"];
				}


				// nombre de categoria
				$q_cat = myquery("SELECT * FROM ".CATEGORIAS_PRIV." WHERE catprivID='".$row["catprivID"]."' ","[inc_item_list_priv=7]");
				$row2 = myfetch($q_cat);


					if (IDIOMA_ACTUAL == 0)
					{
						$row["titulo"] = $row["titulo"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo"] );
						$row["texto_resumen"] = salida_gral( $row["texto_resumen"] );
						$row["nombre_cat"] = $row2["nombre"];						
						$row["nombre_cat_sef"] = SEFcompleURL( $row2["nombre"] );						
					}
					else if (IDIOMA_ACTUAL == 1)
					{
						$row["titulo"] = $row["titulo_1"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo_1"] );
						$row["texto_resumen"] = salida_gral( $row["texto_resumen_1"] );
						$row["nombre_cat"] = $row2["nombre_1"];						
						$row["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_1"] );						
					}
					else if (IDIOMA_ACTUAL == 2)
					{
						$row["titulo"] = $row["titulo_2"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo_2"] );
						$row["texto_resumen"] = salida_gral( $row["texto_resumen_2"] );
						$row["nombre_cat"] = $row2["nombre_2"];						
						$row["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_2"] );						
					}
					else if (IDIOMA_ACTUAL == 3)
					{
						$row["titulo"] = $row["titulo_3"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo_3"] );
						$row["texto_resumen"] = salida_gral( $row["texto_resumen_3"] );
						$row["nombre_cat"] = $row2["nombre_3"];						
						$row["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_3"] );						
					}
					else if (IDIOMA_ACTUAL == 4)
					{
						$row["titulo"] = $row["titulo_4"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo_4"] );
						$row["texto_resumen"] = salida_gral( $row["texto_resumen_4"] );
						$row["nombre_cat"] = $row2["nombre_4"];						
						$row["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_4"] );						
					}
					else if (IDIOMA_ACTUAL == 5)
					{
						$row["titulo"] = $row["titulo_5"];
						$row["titulo_sef"] = SEFcompleURL( $row["titulo_5"] );
						$row["texto_resumen"] = salida_gral( $row["texto_resumen_5"] );
						$row["nombre_cat"] = $row2["nombre_5"];						
						$row["nombre_cat_sef"] = SEFcompleURL( $row2["nombre_5"] );						
					}

					$row["num_comen"] = $cnt_comen;
					$row["num_img"] = $cnt_img;
					$row["num_arc"] = $cnt_arc;
					$row["num_tradu"] = $cnt_tradu;
					$row["num_mt"] = $cnt_mt;
					$row["num_prd"] = $cnt_prd;
					
					// fecha
					if (CONFIG_10 == 0)
					{
						$row["fecha"] = salida_fecha_latin ($row["fecha"]);
		
					} else if (CONFIG_10 == 1) {
			
						$row["fecha"] = salida_fecha_literal ($row["fecha"]);
		
					}


			// incluye [+] de editar item en portada
			if (isset($row["es_portada"])) { $edit_plus = ' <a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?portID='.$row["es_portada"].'\','.CONFIG_5.');" class="admin">[+]</a>'; } else { $edit_plus = '';  }

			$row["logADMIN"] = '<div class="admin_info"><a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?itemID='.$row["itemID"].'\','.CONFIG_5.');" class="admin">'.LEN_55.'</a>'.$edit_plus.' | #'.$row["itemID"].' | '.$row["lecturas"].'</div>';
						
?>